> ## Documentation Index
> Fetch the complete documentation index at: https://watermelon.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook



## OpenAPI

````yaml delete /webhooks/{id}
openapi: 3.0.3
info:
  version: 1.0.0
  title: https://public.watermelon.ai
servers:
  - url: https://public.watermelon.ai/api/v1
security: []
paths:
  /webhooks/{id}:
    delete:
      summary: Delete Webhook
      operationId: HardDeleteWebhook
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
      responses:
        '204':
          description: Webhook deleted
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Bearer: []
components:
  schemas:
    Error:
      type: object
      properties:
        code:
          type: integer
          format: int64
        message:
          type: string
        fields:
          type: string
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````